Get entity changelog
GET
/entities/{id}/changelog
const url = 'https://shoehorn.example.com/api/v1/entities/example/changelog';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/entities/example/changelogParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Changelog entries
Media type application/json
object
entries
Array<object>
object
id
string
timestamp
string format: date-time
action
string
field
string
old_value
string
new_value
string
actor
string
Example generated
{ "entries": [ { "id": "example", "timestamp": "2026-04-15T12:00:00Z", "action": "example", "field": "example", "old_value": "example", "new_value": "example", "actor": "example" } ]}